MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Apply Held Page RemovalsApprove Discovered PagesCancel SyncAdd Website SourceDelete Website SourceList Website SourcesList Website Source SyncsRefresh Website Source NowUpdate Website Source
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceKnowledge Base Website Sources

Add Website Source

POST
/v1/knowledge-bases/{knowledge_base_id}/web-sources

Creates the source in draft and queues its initial map. Nothing is scraped until the owner approves the discovered pages.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Path Parameters

knowledge_base_id*Knowledge Base Id
Formatuuid

Query Parameters

verify_locally?Verify Locally
Defaulttrue

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/knowledge-bases/497f6eca-6276-4993-bfeb-53cbbbba6f08/web-sources" \  -H "Content-Type: application/json" \  -d '{    "root_url": "string",    "crawl_provider_id": "ace41093-13cb-45ad-a08b-5f0623ae5742"  }'
{  "source": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "knowledge_base_id": "7f7aee98-aff7-4ac1-b5ab-74100459287d",    "root_url": "string",    "scope": {},    "crawl_mode": "string",    "refresh_interval": "string",    "next_refresh_at": "2019-08-24T14:15:22Z",    "crawl_provider_id": "ace41093-13cb-45ad-a08b-5f0623ae5742",    "crawl_credential_id": "ace92e00-bd81-4080-b6d0-257bb6f9f5c7",    "status": "string",    "suggested_from": "string",    "last_synced_at": "2019-08-24T14:15:22Z",    "last_error": "string",    "consecutive_failures": 0,    "removal_held": true,    "page_count": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "sync": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "web_source_id": "5261719d-d683-4f22-b3e0-16d35beec156",    "trigger": "string",    "phase": "string",    "map_complete": true,    "discovered_urls": [      {}    ],    "excluded_discovered": [      {}    ],    "approved_urls": [      "string"    ],    "failed_urls": [      {}    ],    "pages_new": 0,    "pages_changed": 0,    "pages_unchanged": 0,    "pages_removed": 0,    "pages_failed": 0,    "credits_used": 0,    "error": "string",    "started_at": "2019-08-24T14:15:22Z",    "finished_at": "2019-08-24T14:15:22Z"  }}
{  "detail": "string",  "code": "string"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

Cancel Sync

Previous Page

Delete Website Source

Next Page

root_url*Root Url
scope?
refresh_interval?Refresh Interval
Default"weekly"

Value in

  • "off"
  • "daily"
  • "weekly"
  • "monthly"
crawl_provider_id*Crawl Provider Id
Formatuuid
crawl_credential_id?|null
suggested_from?string|null